Skip to main content
GET
/
realtime
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "chat.completion",
  "created": 123,
  "model": "<string>",
  "choices": [
    {
      "index": 123,
      "message": {
        "role": "system",
        "content": "<string>",
        "name": "<string>",
        "tool_calls": [
          {
            "id": "<string>",
            "type": "function",
            "function": {
              "name": "<string>",
              "arguments": "<string>"
            }
          }
        ],
        "tool_call_id": "<string>"
      },
      "finish_reason": "stop",
      "logprobs": {
        "content": [
          {
            "token": "<string>",
            "logprob": 123,
            "bytes": [
              123
            ],
            "top_logprobs": [
              {
                "token": "<string>",
                "logprob": 123,
                "bytes": [
                  123
                ]
              }
            ]
          }
        ]
      }
    }
  ],
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "total_tokens": 123,
    "prompt_tokens_details": {
      "cached_tokens": 123
    },
    "completion_tokens_details": {
      "reasoning_tokens": 123,
      "accepted_prediction_tokens": 123,
      "rejected_prediction_tokens": 123
    },
    "cache_creation_input_tokens": 123,
    "cache_read_input_tokens": 123
  },
  "system_fingerprint": "<string>"
}
The Realtime API implements the Realtime Protocol over WebSockets, supporting ultra-low latency text interactions.
Currently, this API supports text interactions only. High-fidelity speech and audio capabilities are coming soon.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token.

Query Parameters

session_id
string

(Optional) Previous session ID to recover conversation state.

model
string
required

The model identifier to use for the session.

Response

Switching Protocols to WebSocket.